Summary: Fedora icon theme
Name: fedora-icon-theme
Version: 1.0.0
Release: 7%{?dist}
BuildArch: noarch
License: GPL+
Group: User Interface/Desktops
# There is no official upstream yet
Source0: %{name}-%{version}.tar.bz2
URL: http://www.redhat.com
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: perl(XML::Parser)
Requires: gnome-themes

Provides: system-icon-theme

%description
This package contains the Fedora icon theme.

%prep
%setup -q

%build
%configure
make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

# Don't install old icons anymore
rm -f $RPM_BUILD_ROOT%{_datadir}/icons/Fedora/*/*/*.png

# These are empty
rm -f ChangeLog NEWS README

%clean
rm -rf $RPM_BUILD_ROOT

%post
touch --no-create %{_datadir}/icons/Fedora
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
    %{_bindir}/gtk-update-icon-cache -f --quiet %{_datadir}/icons/Fedora || :
fi

%postun
touch --no-create %{_datadir}/icons/Fedora
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
    %{_bindir}/gtk-update-icon-cache -f --quiet %{_datadir}/icons/Fedora || :
fi

%files
%defattr(-, root, root)
%doc AUTHORS COPYING
%{_datadir}/icons/Fedora

%changelog
* Tue Nov 24 2009 Matthias Clasen <mclasen@redhat.com> - 1.0.0-7
- Drop old icons

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Oct 21 2008 Ray Strode <rstrode@redhat.com> - 1.0.0-4
- Switch back from Echo as per art/desktop list discussions

* Mon Sep 15 2008 Matthias Clasen <mclasen@redhat.com> - 1.0.0-3
- Require echo-icon-theme

* Fri Sep  5 2008 Matthias Clasen <mclasen@redhat.com> - 1.0.0-2
- Switch to Echo as the default icon theme

* Tue Sep 25 2007 Ray Strode <rstrode@redhat.com> - 1.0.0-1
- Initial import, version 1.0.0
